@ECHO OFF

CLS
ECHO Initializing ... Please wait ...

IF EXIST A:*.NUL del A:*.NUL > NUL
	
a:\keyb be
	
HARDDETC.EXE
IF ERRORLEVEL 8 GOTO URN8
IF ERRORLEVEL 7 GOTO URN7
IF ERRORLEVEL 6 GOTO MAV6
IF ERRORLEVEL 5 GOTO MAV5
IF ERRORLEVEL 4 GOTO URN2
IF ERRORLEVEL 3 GOTO URN1
IF ERRORLEVEL 2 GOTO MAV2
IF ERRORLEVEL 1 GOTO MAV1
	
GOTO ERROR
	
:URN8
ECHO Urne Digivote 2
call A:\RunUrn.bat
GOTO FIN

:URN7
ECHO Urne Digivote 1
call A:\RunUrn.bat
GOTO FIN

:MAV6
ECHO Mav Digivote 2
call A:\MavDigit.bat
GOTO FIN
 
:MAV5
ECHO Mav Digivote 1
call A:\MavDigit.bat
GOTO FIN
 
:MAV2
ECHO Mav jites 2
call A:\MavJites.bat
GOTO FIN
 
:MAV1
ECHO  Mav jites 1
call A:\MavJites.bat
GOTO FIN
 
:URN2
ECHO  Urne jites 2
call A:\RunUrn.bat
GOTO FIN

:URN1
ECHO  Urne jites 1
call A:\RunUrn.bat
GOTO FIN

:ERROR
echo.
echo Le Hardware ne correspond pas ni a une machine a voter
echo ni a une urne !!
echo.
echo Verifier les branchements.
echo.
echo.
echo.
echo De Hardware correspondeert niet met een urne, noch
echo met een stemmachine.
echo.
echo Verifieer de aansluitingen.
echo 
echo.
goto fin

:FIN
